--
-- AddShovelSpecialization
-- Specialization for adding the normal shovel or new DLC 2 shovel specialization
--
-- @author    PES 4ever
-- @date      29/07/11
-- @version   1.0
--
-- For support and documentation visit www.modding-society.de
-- Copyright PES 4ever, Modifications only with my permission
--

AddShovelSpecialization = {};

function AddShovelSpecialization.prerequisitesPresent(specializations)
	
	local newShovelSpec = SpecializationUtil.getSpecialization("pdlc_dlcPack2.newShovel");	
	if newShovelSpec ~= nil then
		table.insert(specializations, SpecializationUtil.getSpecialization("fillable"));
		table.insert(specializations, newShovelSpec);
	else
		table.insert(specializations, SpecializationUtil.getSpecialization("shovel"));
	end;
	
    return true;
end;

function AddShovelSpecialization:load(xmlFile)
end;

function AddShovelSpecialization:delete()
end;

function AddShovelSpecialization:readStream(streamId, connection)
end;

function AddShovelSpecialization:writeStream(streamId, connection)	
end;

function AddShovelSpecialization:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AddShovelSpecialization:keyEvent(unicode, sym, modifier, isDown)
end;

function AddShovelSpecialization:update(dt)	
end;

function AddShovelSpecialization:updateTick(dt)	
end;

function AddShovelSpecialization:draw()
end;